Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.javadoc
[Groovy] Class AntGroovydoc

    java.lang.Object
      org.gradle.api.tasks.javadoc.AntGroovydoc

    class AntGroovydoc

Authors:
  Hans Dockter

Constructor Summary
`AntGroovydoc(IsolatedAntBuilder ant, ClassPathRegistry classPathRegistry)`

Method Summary
`void` | `execute(FileCollection source, File destDir, boolean use, String windowTitle, String docTitle, String header, String footer, String overview, boolean includePrivate, Set links, Iterable groovyClasspath, Iterable classpath, Project project)`
`void` | `putIfNotNull(Map map, String key, Object value)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### AntGroovydoc

    AntGroovydoc(IsolatedAntBuilder ant, ClassPathRegistry classPathRegistry)

Method Detail

### execute

    void execute(FileCollection source, File destDir, boolean use, String windowTitle, String docTitle, String header, String footer, String overview, boolean includePrivate, Set links, Iterable groovyClasspath, Iterable classpath, Project project)

### putIfNotNull

    void putIfNotNull(Map map, String key, Object value)

Gradle API 1.1-rc-1